.TH xmemory 1 "28 September 1995" "X Version 11"
.SH NAME
xmemory \- game of memory for several players
.SH SYNOPSIS
.B xmemory
[-letters] [-small|-big] [-font <pattern>] ([display]/[color])*
.SH DESCRIPTION
.I XMemory
is a multi player memory game. It is played simultaenously
on several X Displays, which have to be listed on the command-line.
To run properly, the access to the selected X Displays must be
allowed. This can be achieved in the usual manner by running \fIxhost\fP
on the desired displays.

.SH RULES

Like in the traditional memory game, the players have to find similar tiles
on the table to get the tiles. The main change in this version is, that the
players play simultaenously and therefor the whole game gets some kind of an
action game.

Opening a tile leads to a lock of the tile for about 3 seconds when opening
the first tile. 1 second after opening the second tile, both tiles flip back
and therefor are accessable again for all other players.

Winner is the player who collected the most matching tiles.

.SH OPTIONS
.SS "Game Selection"
.TP 12
.B -letter
The tiles are switched from the default Smileys to a normal letter mode.

.SS "Sizes"
.TP 12
.B -small
6x3 smileys or 4x5 letters
.TP 12
.B -normal
8x3 smileys or 8x9 letters
.TP 12
.B -big
10x4 smileys or 11x12 letters

.SS "Fonts"

.TP 12
.B -font \fIname\fP
Override the default pattern '-adobe-courier-bold-r-normal-*' to search for
a different set of fonts. The program tries to use scalable fonts on the
displays, when bitmap fonts in the necessary size can't be found. If the fonts
don't look pretty, check out if the fontserver \fIfs\fP (or \fIxfs\fP) is
running on the display.

.SS "Player Specification"

The List of players is a list of the display names. If desired, a color can be
selected for a display by concatinating a slash and the name of the color
after the display name, e.g.  hgr3:0.0/brown.

.SH EXAMPLE
xmemory -big / barcley:0.0/ genesis:0.0/green

.SH "SEE ALSO"
xhost(1)
xfs(1)
X(1)

.SH COPYRIGHT
Copyright 1993+1995, Helmut Hoenig, Heiligenhaus
.nf
.TP 8
email (for any comments):
Helmut.Hoenig@hub.de
.TP 5
smail (for gifts):
   Helmut Hoenig
   Hopfenstrasse 8a
   65520 Bad Camberg
   GERMANY
.PP
Permission to use, copy, modify, and distribute this
software for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies.
